net.i2p.client.naming

## Interface NamingServiceUpdater

- All Known Implementing Classes:
    DaemonThread

      public interface NamingServiceUpdater

  Since:
    0.8.7

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `update(Properties options)` Should not block.

- - ### Method Detail

    - #### update

          void update(Properties options)

      Should not block.
      Parameters:
        `options` - Updater-specific, may be null